curl --request POST \
--url https://app.tagadapay.com/api/public/v1/test/execute-scenario-with-failure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scenarioId": "test-failure-001",
"accountId": "acc_test",
"storeId": "store_test"
}
'{
"success": true,
"scenarioId": "test-failure-001",
"eventId": "evt_xyz789",
"message": "Scenario dispatched successfully",
"executionTimeMs": 230,
"handlersDispatched": {
"immediate": [
"immediateCriticalHandler",
"immediateAnalyticsHandler",
"immediateParallelHandler"
],
"deferredQStash": [
"deferredQStashNotificationHandler",
"deferredQStashRetryHandler"
],
"deferredInngest": [
"deferredInngestWorkflowHandler"
]
}
}Execute a test scenario that simulates handler failure to test retry logic.
This triggers the same handlers as the basic scenario, but sets simulateFailure: true in testData.
The deferredQStashRetryHandler will fail and trigger retries.
Watch:
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/test/execute-scenario-with-failure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scenarioId": "test-failure-001",
"accountId": "acc_test",
"storeId": "store_test"
}
'{
"success": true,
"scenarioId": "test-failure-001",
"eventId": "evt_xyz789",
"message": "Scenario dispatched successfully",
"executionTimeMs": 230,
"handlersDispatched": {
"immediate": [
"immediateCriticalHandler",
"immediateAnalyticsHandler",
"immediateParallelHandler"
],
"deferredQStash": [
"deferredQStashNotificationHandler",
"deferredQStashRetryHandler"
],
"deferredInngest": [
"deferredInngestWorkflowHandler"
]
}
}